<%@ page contentType="text/html;charset=gb2312"%> 
<%@ page import="java.io.*"%> 
<html> 
<head> 
<title>取出目录中文件的方法--列出目录中的文件</title> 
</head> 
<body> 
<% 
String path=request.getRealPath("/"); 
File d=new File(path);//建立当前目录中文件的File对象 
File list[]=d.listFiles();//取得代表目录中所有文件的File对象数组 
out.println("<font color=#ff0000>" + path + "目录下的文件：</font><br>"); 
for(int i=0;i<list.length;i++){ 
if(list<I>.isFile()){ 
out.println(list<I>.getName() + "<br>"); 
} 
} 
out.println("<br><font color=#ff0000>" + path + "目录下的目录：</font><br>"); 
for(int i=0;i<list.length;i++){ 
if(list<I>.isDirectory()){ 
out.println(list<I>.getName() + "<br>"); 
} 
} 
%> 
</body> 
</html> 
